%global anolis_release 1

Name:     libtraceevent
Version:  1.8.4
Release:  %{anolis_release}%{?dist}
License:  LGPLv2+ and LGPL-2.1-or-later and GPLv2+
Summary:  Library to parse raw trace event formats
URL:      https://git.kernel.org/pub/scm/libs/libtrace/libtraceevent.git/
Source0:  https://git.kernel.org/pub/scm/libs/libtrace/libtraceevent.git/snapshot/libtraceevent-%{version}.tar.gz

BuildRequires: gcc xmlto asciidoc docbook-style-xsl

%global __provides_exclude_from ^%{_libdir}/traceevent/plugins

%description
libtraceevent is a library that provides a set of functions for parsing and manipulating 
trace events in the Linux kernel. It is used to extract information from trace events and 
to create new trace events. 

The library is used by various tools that work with trace events in the Linux kernel, such as perf

%package devel
Summary: Header files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
The package provides header and other needed development files for the library %{name}

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%set_build_flags
%make_build prefix=%{_prefix} libdir=%{_libdir} \
  MANPAGE_XSL=`rpm -ql docbook-style-xsl | grep manpages/docbook.xsl` all doc

%install
%make_install prefix=%{_prefix} libdir=%{_libdir} install doc-install
rm -rf %{buildroot}/%{_libdir}/libtraceevent.a

%generate_compatibility_deps

%files
%license LICENSES/GPL-2.0
%license LICENSES/LGPL-2.1
%dir %{abidir}
%{_libdir}/traceevent/
%{abidir}/plugin*.dump
%{_libdir}/libtraceevent.so.%{version}
%{_libdir}/libtraceevent.so.1
%{abidir}/libtraceevent.dump
%{_mandir}/man3/*

%files devel
%{_includedir}/traceevent/
%{_libdir}/libtraceevent.so
%{_libdir}/pkgconfig/libtraceevent.pc

%files doc
%doc README
%doc %{_docdir}/%{name}-doc/*

%changelog
* Wed Feb 19 2025 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.8.4-1
- Update to 1.8.4 from 1.7.1
- Migrated to SPDX license

* Mon Dec 09 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.7.1-3
- Rebuild for remove inappropriate build dependencies.

* Wed Apr 12 2023 yuanhui <yuanhui@linux.alibaba.com> 1.7.1-2
- Optimize the spec file

* Fri Jan 20 2023 Funda Wang <fundawang@yeah.net> - 1.7.1-1
- New version 1.7.1

* Wed Mar 16 2022 Shile Zhang <shile.zhang@linux.alibaba.com> - 1.5.2-1
- Init commit of libtraceevent for Anolis OS 23 (Shile Zhang)
